vars:
  # Default values for configuration of a STARTX cluster
  # see values.yaml for explanation on each params
  context: &context
    scope: "{[% lookup('vars', 'sx_cluster_config_scope') | default('myscope') %]}"
    cluster: "{[% lookup('vars', 'sx_cluster_config_name') | default('mycluster') %]}"
    environment: "{[% lookup('vars', 'sx_cluster_config_environment') | default('myenv') %]}"
    version: "{[% lookup('vars', 'sx_cluster_config_version') | default('0.0.1') %]}"
    component: sso
    app: startx-sso
  sso:
    enabled: false
    hooked: false
    name: default
    spec: |
      daemonNodeSelector:
        node-role.kubernetes.io/worker: ""
      # profile:
      # - name: "profile1"
      #   interface: "enp134s0f0"
      #   sso4lOpts: "-s -2"
      #   phc2sysOpts: "-a -r"
      # recommend:
      # - profile: "profile1"
      #   priority: 4
      #   match:
      #   - nodeLabel: "node-role.kubernetes.io/worker"
  project: 
    enabled: false
    context: 
      <<: *context
    project: 
      enabled: true
      hooked: false
      type: project
      name: "startx-sso"
      display_name: "Startx SSO"
      requester: startx
      description: Redhat-SSO configured by STARTX
  operator:
    enabled: false
    context: 
      <<: *context
    subscription:
      enabled: true
      hooked: false
      name: "rhsso-operator"
      namespace: "startx-sso"
      version: "7.5.1-opr-009"
      operator: 
        channel: stable
        name: rhsso-operator
        installPlanApproval: Automatic
        # csv: rhsso-operator
        source: 
          name: redhat-operators
          namespace: openshift-marketplace
    operatorGroup:
      enabled: true
      hooked: false
      name: "startx-sso"
      namespace: "startx-sso"
      providedAPIs: "Keycloak.v1alpha1.keycloak.org,KeycloakBackup.v1alpha1.keycloak.org,KeycloakClient.v1alpha1.keycloak.org,KeycloakRealm.v1alpha1.keycloak.org,KeycloakUser.v1alpha1.keycloak.org"
